You are not logged in.

#1 2021-09-14 09:20:39

ska67
Member
Registered: 2020-01-01
Posts: 8

[SOLVED] ovmf upgrade prevents Xen hvm domU boot

I am using OVMF for starting virtual machines as Xen domU guests.

After package upgrade of edk2-ovmf from 202105-1 to 202108-1, systemd-boot no longer boots inside the virtual machine.
If systemd-bootx64.efi (or BOOTX64.EFI) is started from the guests EFI shell, then the guest system reboots immediately.

Last edited by ska67 (2022-01-01 12:04:06)

Offline

#2 2021-11-12 16:41:41

ska67
Member
Registered: 2020-01-01
Posts: 8

Re: [SOLVED] ovmf upgrade prevents Xen hvm domU boot

It looks like it's not systemd-boot at all.

I have set a timeout in loader.conf and can now see the boot menu. I would say systemd-boot starts with the new OVMF firmware 202108-1.
But when I try to start an entry from the boot menu, the virtual machine immediately reboots.

Inside the virtual machine, the initramfs image is compressed with zstd by default and I use the latest kernel 5.14.16

Boot menu entry from systemd-boot:
title   Arch Linux
linux   /vmlinuz-linux
initrd  /initramfs-linux.img
options root=PARTUUID=**** rw console=ttyS0,115200n8 console=tty1

Offline

#3 2021-11-14 12:34:21

ska67
Member
Registered: 2020-01-01
Posts: 8

Re: [SOLVED] ovmf upgrade prevents Xen hvm domU boot

Now I tried booting a Debian installation media, but it has the same effect, the virtual machine restarts immediately.

So, even grub cannot boot a Linux kernel with the new OVMF 202108 version.

Offline

#4 2022-01-01 12:01:17

ska67
Member
Registered: 2020-01-01
Posts: 8

Re: [SOLVED] ovmf upgrade prevents Xen hvm domU boot

Some time ago, in 2019, TianoCore OVMF software introduced a new specific platform target for Xen. Support for Xen has now been removed from the x64 platform target.
This change came with the edk2-ovmf package 202108-1.

Unless the edk2-ovmf package in the extra repository builds the additional specific Xen platform target, it should no longer be used as an optional dependency for the Xen AUR package.

Unfortunately, the OVMF software cannot be built out of the box. An upstream bug prevents the building of the xen AUR package with --enable-ovmf. For the same reason, the ovmf-git AUR package cannot be build. However, this is another bug that can be fixed.

Last edited by ska67 (2022-01-02 09:30:20)

Offline

Board footer

Powered by FluxBB